# Enfold Desktop
# Copyright(C), 2004-2006, Enfold Systems, Inc. - ALL RIGHTS RESERVED

# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com

# $Id: test_functional.py 5757 2006-07-15 02:53:11Z sidnei $
# $HeadURL: https://svn.enfoldsystems.com/internal/desktop/trunk/ShellExServer/tests/test_functional.py $

import os, sys

if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

# Load fixture
from Testing import ZopeTestCase
from Products.CMFPlone.tests import PloneTestCase

# Install our product
ZopeTestCase.installProduct('PropertySets')
ZopeTestCase.installProduct('CMFPropertySets')
ZopeTestCase.installProduct('Calendaring')
ZopeTestCase.installProduct('DavPack')
ZopeTestCase.installProduct('PloneLockManager')
ZopeTestCase.installProduct('ShellExServer')
ZopeTestCase.installProduct('SiteAccess')

from Products.CMFCore.utils import getToolByName

class FunctionalTest(PloneTestCase.FunctionalTestCase):
    """Functional Tests for ShellExServer"""

    def afterSetUp(self):
        self.loginAsPortalOwner()
        self.addProduct('CMFPropertySets')
        self.addProduct('ShellExServer')

def test_suite():
    import unittest
    suite = unittest.TestSuite()
    from Testing.ZopeTestCase import doctest
    FileSuite = doctest.FunctionalDocFileSuite
    files = [
        'desktop_command.txt',
        'session_root.txt',
        'dav_access.txt',
        'dav_put.txt',
        'locked_by.txt',
        'lock_behaviour.txt',
        'addables.txt',
        'ctr_predicates.txt',
        ]
    for f in files:
        suite.addTest(FileSuite(f, test_class=FunctionalTest,
                                package='Products.ShellExServer.tests'))
    return suite

if __name__ == '__main__':
    framework(descriptions=1, verbosity=1)
